%{?nodejs_find_provides_and_requires}

Name:       nodejs-methods
Version:    0.1.0
Release:    5%{?dist}
Summary:    HTTP methods that node supports
License:    MIT
Group:      System Environment/Libraries
URL:        https://npmjs.org/package/methods
Source0:    http://registry.npmjs.org/methods/-/methods-%{version}.tgz
# Upstream have been informed via email about missing LICENSE file.
# Include a copy of the MIT license to comply with the license requirements.
Source20:   LICENSE

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE20} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/methods
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/methods

%nodejs_symlink_deps


%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/methods


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- update to upstream release 0.1.0

* Sat Jul 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.1-4
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.0.1-3
- rebuild for missing npm(methods) provides on EL6

* Thu Feb 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.1-2
- add a copy of the MIT license to comply with licensing requirements

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.1-1
- initial package
